/*
 *  oftc-services: irc services for the OFTC network
 *  akill.h - AKILL functions
 *
 *  Copyright (C) 2003 Stuart Walsh
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  $Id: akill.h,v 1.1 2003/11/05 00:33:41 stu Exp $
 */

extern void get_akill_stats(long *nrec, long *memuse);
extern unsigned int num_akills(void);
extern void load_akill(void);
extern void save_akill(void);
extern int check_akill(const char *nick, const char *username, const char *host);
extern void expire_akills(void);
extern void do_akill(struct User *u);
extern unsigned int add_akill(const char *mask, const char *reason,
             const char *who, const time_t expiry);

#define AKILL_PRESENT 1
#define TOO_MANY_AKILLS 2

struct Akill
{
    unsigned int id;
    char *mask;
    char *reason;
    char who[NICKLEN];
    time_t time;
    time_t expires;     /* or 0 for no expiry */
};
